Bug 67474 - anaconda exception during kickstart floppy installation
anaconda exception during kickstart floppy installation
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-06-25 17:57 EDT by jdavis
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-26 09:00:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda dump file (56.95 KB, text/plain)
2002-06-26 08:59 EDT, jdavis
no flags Details

  None (edit)
Description jdavis 2002-06-25 17:57:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20020314

Description of problem:
get anaconda exception, capture crash dump, and go to this site
as error specifies

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.build kickstart floppy
2.try install using kickstart floppy

Actual Results:  get anaconda exception

Expected Results:  redhat install 

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 427, in run
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 378, in turnOnFilesystems
    thefsset.makeFilesystems (instPath)
  File "/usr/lib/anaconda/fsset.py", line 1059, in makeFilesystems
    self.labelEntry(entry, chroot)
  File "/usr/lib/anaconda/fsset.py", line 978, in labelEntry
    entry.fsystem.labelDevice(entry, chroot)
  File "/usr/lib/anaconda/fsset.py", line 455, in labelDevice
    raise SystemError

Local variables in innermost frame:
rc: 256
label: /d1
chroot: /mnt/sysimage
entry: <fsset.FileSystemSetEntry instance at 82b7c90>
devicePath: /tmp/hda3
self: <fsset.ext3FileSystem instance at 82e8600>

<4>Linux version 2.4.18-3BOOT (bhcompile@stripples.devel.redhat.com) (gcc
version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)) #1 Thu Apr 18 06:53:28 EDT 2002
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000007ffd0000 (usable)
<4> BIOS-e820: 000000007ffd0000 - 000000007fff0000 (ACPI NVS)
<4> BIOS-e820: 000000007fff0000 - 0000000080000000 (usable)
<4> BIOS-e820: 00000000feea0000 - 0000000100000000 (reserved)
<4>Warning only 896MB will be used.
<4>Use a HIGHMEM enabled kernel.
<4>found SMP MP-table at 000f8d70
<4>hm, page 000f8000 reserved twice.
<4>hm, page 000f9000 reserved twice.
<4>hm, page 000e9000 reserved twice.
<4>hm, page 000ea000 reserved twice.
<4>On node 0 totalpages: 229376
<4>zone(0): 4096 pages.
<4>zone(1): 225280 pages.
<4>zone(2): 0 pages.
<6>ACPI: Searched entire block, no RSDP was found.
<6>ACPI: RSDP located at physical address c00e0010
<4>__va_range(0xe0080, 0x68): idx=8 mapped at ffff6000
<6>ACPI table found: RSDT v1 [COMPAQ CPQ0012  8194.551]
<4>__va_range(0xe0130, 0x24): idx=8 mapped at ffff6000
<4>__va_range(0xe0130, 0x74): idx=8 mapped at ffff6000
<6>ACPI table found: FACP v1 [COMPAQ COLUSA   0.1]
<4>__va_range(0xe16f8, 0x24): idx=8 mapped at ffff6000
<4>__va_range(0xe16f8, 0x4308040a): idx=8 mapped at ffff6000
<4>Intel MultiProcessor Specification v1.4
<4>    Virtual Wire compatibility mode.
<4>OEM ID: COMPAQ   Product ID: Workstation  APIC at: 0xFEE00000
<4>Processor #0 Unknown CPU [15:2] APIC version 16
<4>Processor #6 Unknown CPU [15:2] APIC version 16
<4>I/O APIC #8 Version 17 at 0xFEC00000.
<4>Processors: 2
<4>Kernel command line: ks=floppy initrd=initrd.img lang= devfs=nomount
BOOT_IMAGE=vmlinuz auto
<6>Initializing CPU#0
<4>Detected 2175.235 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 4338.48 BogoMIPS
<6>Memory: 902960k/917504k available (1092k kernel code, 14156k reserved, 327k
data, 160k init, 0k highmem)
<6>Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
<6>Inode cache hash table entries: 65536 (order: 7, 524288 bytes)
<4>Mount-cache hash table entries: 16384 (order: 5, 131072 bytes)
<6>Buffer cache hash table entries: 65536 (order: 6, 262144 bytes)
<4>Page-cache hash table entries: 262144 (order: 8, 1048576 bytes)
<7>CPU: Before vendor init, caps: 3febfbff 00000000 00000000, vendor = 0
<6>CPU: L1 I cache: 12K, L1 D cache: 8K
<6>CPU: L2 cache: 512K
<7>CPU: After vendor init, caps: 3febfbff 00000000 00000000 00000000
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU:     After generic, caps: 3febfbff 00000000 00000000 00000000
<7>CPU:             Common caps: 3febfbff 00000000 00000000 00000000
<4>CPU: Intel(R) XEON(TM) CPU 2.20GHz stepping 04
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<6>PCI: PCI BIOS revision 2.10 entry at 0xe8467, last bus=2
<6>PCI: Using configuration type 1
<6>PCI: Probing PCI hardware
<3>Unknown bridge resource 0: assuming transparent
<3>Unknown bridge resource 2: assuming transparent
<6>PCI: Using IRQ router PIIX [8086/2440] at 00:1f.0
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<4>Starting kswapd
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI
<6>ttyS00 at 0x03f8 (irq = 4) is a 16550A
<4>block: 1024 slots per queue, batch=256
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<4>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
<4>PIIX4: IDE controller on PCI bus 00 dev f9
<4>PIIX4: chipset revision 4
<4>PIIX4: not 100% native mode: will probe irqs later
<4>    ide0: BM-DMA at 0x2040-0x2047, BIOS settings: hda:DMA, hdb:pio
<4>    ide1: BM-DMA at 0x2048-0x204f, BIOS settings: hdc:pio, hdd:pio
<4>PDC20268: IDE controller on PCI bus 02 dev 20
<6>PCI: Found IRQ 5 for device 02:04.0
<4>PDC20268: chipset revision 2
<4>PDC20268: not 100% native mode: will probe irqs later
<4>    ide2: BM-DMA at 0x1480-0x1487, BIOS settings: hde:pio, hdf:pio
<4>    ide3: BM-DMA at 0x1488-0x148f, BIOS settings: hdg:pio, hdh:pio
<4>hda: ST380020A, ATA DISK drive
<4>hde: MAXTOR 4K080H4, ATA DISK drive
<4>hdg: Maxtor 4D080K4, ATA DISK drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide2 at 0x1490-0x1497,0x14a2 on irq 5
<4>ide3 at 0x1498-0x149f,0x14a6 on irq 5
<4>blk: queue c02c2804, I/O limit 4095Mb (mask 0xffffffff)
<6>hda: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=10337/240/63, UDMA(100)
<4>blk: queue c02c2ecc, I/O limit 4095Mb (mask 0xffffffff)
<6>hde: 156301488 sectors (80026 MB) w/2000KiB Cache, CHS=155061/16/63, UDMA(100)
<4>blk: queue c02c3230, I/O limit 4095Mb (mask 0xffffffff)
<6>hdg: 160086528 sectors (81964 MB) w/2048KiB Cache, CHS=158816/16/63, UDMA(100)
<4>ide-floppy driver 0.99.newide
<6>Partition check:
<6> hda:
<6> hde:
<6> hdg:
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<4>RAMDISK driver initialized: 16 RAM disks of 4608K size 1024 blocksize
<6>loop: loaded (max 8 devices)
<4>ide-floppy driver 0.99.newide
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-uhci.c: $Revision: 1.275 $ time 06:55:51 Apr 18 2002
<6>usb-uhci.c: High bandwidth mode enabled
<4>PCI: Enabling device 00:1f.2 (0004 -> 0005)
<6>PCI: Assigned IRQ 10 for device 00:1f.2
<4>PCI: Setting latency timer of device 00:1f.2 to 64
<6>usb-uhci.c: USB UHCI at I/O 0x2000, IRQ 10
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<4>PCI: Enabling device 00:1f.4 (0004 -> 0005)
<6>PCI: Assigned IRQ 11 for device 00:1f.4
<4>PCI: Setting latency timer of device 00:1f.4 to 64
<6>usb-uhci.c: USB UHCI at I/O 0x2020, IRQ 11
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 2
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
<6>usb.c: registered new driver hiddev
<6>usb.c: registered new driver hid
<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>mice: PS/2 mouse device common for all mice
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<6>md: autorun ...
<6>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<6>IP: routing cache hash table of 8192 buckets, 64Kbytes
<6>TCP: Hash tables configured (established 262144 bind 65536)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<6>Freeing initrd memory: 543k freed
<4>VFS: Mounted root (ext2 filesystem).
<6>SCSI subsystem driver Revision: 1.00
<6>Initializing USB Mass Storage driver...
<6>usb.c: registered new driver usb-storage
<6>USB Mass Storage support registered.
<4>eepro100.c:v1.09j-t 9/29/99 Donald Becker
<4>eepro100.c: $Revision: 1.36 $ 2000/11/17 Modified by Andrey V. Savochkin
<saw@saw.sw.com.sg> and others
<6>PCI: Found IRQ 11 for device 02:08.0
<6>eth0: OEM i82557/i82558 10/100 Ethernet, 00:02:A5:CC:8B:EE, IRQ 11.
<6>  Board assembly 010612-001, Physical connectors present: RJ45
<6>  Primary interface chip i82555 PHY #1.
<6>  General self-test: passed.
<6>  Serial sub-system self-test: passed.
<6>  Internal registers self-test: passed.
<6>  ROM checksum self-test: passed (0x04f4518b).
<4>nfs warning: mount version older than kernel
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  2524.000 MB/sec
<4>   32regs    :  1622.000 MB/sec
<4>   pII_mmx   :  2522.800 MB/sec
<4>   p5_mmx    :  2478.000 MB/sec
<4>raid5: using function: 8regs (2524.000 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<6> hda: unknown partition table
<6> hda:
<6> hde: unknown partition table
<6> hde:
<6> hdg: unknown partition table
<6> hdg:
<6> hde: hde1 hde2
<6> hda: hda1 hda2 hda3
<6> hdg: hdg1
<6>Adding Swap: 1024088k swap-space (priority -1)
<6>Adding Swap: 1020592k swap-space (priority -2)

kickstart config
lang en_US
langsupport en_US
network --bootproto static --ip  --gateway
--nameserver --netmask --hostname oac05f.ep.hess.com
nfs --server beo207 --dir /export/ks/rh73
keyboard us
zerombr yes
clearpart --initlabel --all
firewall --disabled
part / --fstype ext3 --size 6000 --ondisk hda
part swap --size 1000 --ondisk hda
part /d1 --fstype ext3 --noformat --size 300 --grow --ondisk hda
part swap --size 1000  --ondisk hde
part /d2 --noformat --size 300 --grow --ondisk hde --fstype=ext3
part /d3 --noformat --size 300 --grow --ondisk hdg --fstype=ext3
mouse generic
timezone --utc US/Central
auth --enablenis --nisdomain ep.hess.com --nisserver beo241.ep.hess.com
rootpw processs
bootloader --useLilo --location mbr
@ Everything
%post --interpreter /bin/ksh
#mount directory with config files off linux file server
mkdir /nfs 
mkdir /nfs/tech 
mount -t nfs /nfs/tech 2>>/tmp/ks.log
/nfs/tech/ks/ks-rh73.common >>/tmp/ks.log 2>>/tmp/ks.log
Comment 1 Michael Fulbright 2002-06-26 01:01:44 EDT
Assigning to an engineer.
Comment 2 jdavis 2002-06-26 08:59:57 EDT
Created attachment 62724 [details]
anaconda dump file
Comment 3 Jeremy Katz 2002-07-11 00:22:39 EDT
You're saying to both clear the partition table and then put filesystems on
disks without formatting them.  Either don't clear all of your partition tables
or format all of your partitions and your problems will go away.
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.